QTimerEvent(3qt)

NAME
QTimerEvent - Parameters that describe a timer event

SYNOPSIS
#include <ntqevent.h>

Inherits QEvent.

  Public Members
QTimerEvent ( int timerId )
int timerId () const

DESCRIPTION
The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides one-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), QObject::killTimer(), QObject::killTimers(), and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QTimerEvent::QTimerEvent ( int timerId )
Constructs a timer event object with the timer identifier set to timerId.

int QTimerEvent::timerId () const
Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

Example: dclock/dclock.cpp.

SEE ALSO
http://doc.trolltech.com/qtimerevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtimerevent.3qt) and the Qt version (3.3.8).